import request from '@/utils/request'

// 查询用户列表
export function listAppletUsers(query) {
  return request({
    url: '/model/AppletUsers/list',
    method: 'get',
    params: query
  })
}

// 查询用户详细
export function getAppletUsers(userId) {
  return request({
    url: '/model/AppletUsers/' + userId,
    method: 'get'
  })
}

// 新增用户
export function addAppletUsers(data) {
  return request({
    url: '/model/AppletUsers',
    method: 'post',
    data: data
  })
}

// 修改用户
export function updateAppletUsers(data) {
  return request({
    url: '/model/AppletUsers',
    method: 'put',
    data: data
  })
}

// 删除用户
export function delAppletUsers(userId) {
  return request({
    url: '/model/AppletUsers/' + userId,
    method: 'delete'
  })
}
